[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#983349: hplip: while scanning , error 9 : impossible to scan



Package: hplip
Version: 3.21.2+dfsg1-1
Followup-For: Bug #983349
X-Debbugs-Cc: compte.perso.de-alain@bbox.fr

your command :  simple-scan escl:http://127.0.0.1:60000  was nearly ok .

simple-scan started to connect and , quickly , closed itself : "cannot connect"

i've read your texts .

the only thing i understood is that usb connections has become now like network
connections

alain@sid:~$ lsusb -v | grep -A 3 bInterfaceClass.*7
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      4
      iInterface              0
--
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      2 Bidirectional
      iInterface              0
--
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      4
      iInterface              0
can't get debug descriptor: Resource temporarily unavailable
Couldn't open device, some information will be missing
--
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      4
      iInterface              0
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing
Couldn't open device, some information will be missing

new ipp-over-usb seems to be not compatible with libsane-hpaio (my driver)

so i have a big problem .

don't know the solution .


-- Package-specific info:

-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (100, 'testing'), (100, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-3-amd64 (SMP w/16 CPU threads)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages hplip depends on:
ii  adduser                3.118
ii  cups                   2.3.3op2-3
ii  hplip-data             3.21.2+dfsg1-1
ii  libc6                  2.31-9
ii  libcups2               2.3.3op2-3
ii  libdbus-1-3            1.12.20-2
ii  libhpmud0              3.21.2+dfsg1-1
ii  libpython3.9           3.9.1-4
ii  libsane-hpaio          3.21.2+dfsg1-1
ii  libsane1               1.0.31-4
ii  lsb-base               11.1.0
ii  printer-driver-hpcups  3.21.2+dfsg1-1
ii  python3                3.9.1-1
ii  python3-dbus           1.2.16-5
ii  python3-gi             3.38.0-2
ii  python3-pexpect        4.8.0-1
ii  python3-pil            8.1.0-1
ii  python3-reportlab      3.5.59-1
ii  wget                   1.21-1+b1
ii  xz-utils               5.2.5-1.0

Versions of packages hplip recommends:
ii  avahi-daemon                  0.8-5
ii  policykit-1                   0.105-30
ii  printer-driver-postscript-hp  3.21.2+dfsg1-1
ii  sane-utils                    1.0.31-4

Versions of packages hplip suggests:
pn  hplip-doc              <none>
ii  hplip-gui              3.21.2+dfsg1-1
ii  python3-notify2        0.3-4
ii  system-config-printer  1.5.14-1

-- no debconf information


Reply to: